import HamalronItemSheet from "./base-item-sheet.mjs"

export default class HamalronSortilegeSheet extends HamalronItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["sortilege"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["sortilege-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hamalron/templates/sortilege.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })
    context.enrichedEffetAmateur = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.effetAmateur, { async: true })
    context.enrichedEffetCompetent = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.effetCompetent, { async: true })
    context.enrichedEffetExpert = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.effetExpert, { async: true })
    return context
  }
}
